Package org.eclipse.ecf.core.sharedobject.events

# Class SharedObjectManagerCreateEvent

java.lang.Object
org.eclipse.ecf.core.sharedobject.events.SharedObjectManagerCreateEvent

All Implemented Interfaces:
  `IContainerEvent`, `ISharedObjectManagerEvent`, `Event`

public class SharedObjectManagerCreateEvent extends Object implements ISharedObjectManagerEvent
Manger create event. Sent/triggered when `ISharedObjectManager.createSharedObject(org.eclipse.ecf.core.sharedobject.SharedObjectDescription)` is called

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectManagerCreateEvent()`
`SharedObjectManagerCreateEvent(ID localContainerID, ID sharedObjectID)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`ID`
`getSharedObjectID()`
Get shared object ID for shared object in question
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SharedObjectManagerCreateEvent

public SharedObjectManagerCreateEvent()

Since:
  2.6

### SharedObjectManagerCreateEvent

public SharedObjectManagerCreateEvent(ID localContainerID, ID sharedObjectID)

## Method Details

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### getSharedObjectID

public ID getSharedObjectID()
Description copied from interface: `ISharedObjectManagerEvent`
Get shared object ID for shared object in question

Specified by:
  `getSharedObjectID` in interface `ISharedObjectManagerEvent`
Returns:
  ID of shared object in question. Will not return null.

### toString

public String toString()

Overrides:
  `toString` in class `Object`